IRK(1)

NAME
irk - test program for irkerd

SYNOPSIS

irk [target] [message text]

DESCRIPTION

irk is a simple test program for irkerd(8). It will construct a simple JSON object and pass it to the daemon running on localhost.

OPTIONS

irk takes the following options:

target
    Which server and channel to join to announced the message. If not prefixed with "irc:", it will prefix "irc://chat.freenode.net/" to the argument before passing it directly to irkerd. This argument is passed as the "to" parameter in the JSON object.

message
    Which message to send to the target specified above. If the string "-", the message will be read from standard input, with newlines stripped.

LIMITATIONS

irk has no commandline usage and may be riddled with bugs.

irk doesn't know how to talk to your favorite VCS. You will generally want to use irkerhook(1) instead

irk has also all the limitations of irkerd.

SEE ALSO

irkerhook(1),

AUTHOR

Eric S. Raymond <esr@snark.thyrsus.com>. See the project page at http://www.catb.org/~esr/irker for updates and other resources, including an installable repository hook script.